%global pypi_name colorama

Name:           python-%{pypi_name}
Version:        0.4.3
Release:        %mkrel 2
Summary:        Cross-platform colored terminal text
Group:          Development/Python

License:        BSD
URL:            https://pypi.org/project/colorama/
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Cross-platform colored terminal text.

%package -n python3-%{pypi_name}
Summary:        Cross-platform colored terminal text
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cross-platform colored terminal text.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 0.4.3-2.mga8
+ Revision: 1546023
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 0.4.3-1.mga8
+ Revision: 1485702
- new version: 0.4.3

* Tue Sep 17 2019 tv <tv> 0.4.1-4.mga8
+ Revision: 1442930
- rebuild for python-3.8

* Mon Sep 16 2019 daviddavid <daviddavid> 0.4.1-3.mga8
+ Revision: 1441798
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.4.1-2.mga7
+ Revision: 1350270
- Rebuild for python 3.7

* Mon Dec 24 2018 kekepower <kekepower> 0.4.1-1.mga7
+ Revision: 1344814
- Update to version 0.4.1
- Rename python-colorama to python2-colorama
- Use python_provide

* Thu Sep 20 2018 umeabot <umeabot> 0.3.9-3.mga7
+ Revision: 1288431
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.3.9-2.mga7
+ Revision: 1135344
- Rebuild for python 3.6

* Tue May 16 2017 neoclust <neoclust> 0.3.9-1.mga6
+ Revision: 1101911
- imported package python-colorama

